<script setup lang="ts">
  const props = defineProps<{
    errors?: any[];
  }>();
</script>
<template>
  <span v-if="props.errors?.length" class="pt-1 text-xs font-medium">
    {{ $t(`validation.${props.errors?.[0]?.$params?.type}`, props.errors?.[0]?.$params) }}
  </span>
</template>
